# Deleting a VPC Endpoint

#### Function

This API is used to delete a VPC endpoint.

#### URI

DELETE /v1/{project_id}/vpc-endpoints/{vpc_endpoint_id}

For detailed about the parameters, see Table 1.

Table 1 Parameters
Parameter | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID. For details about how to obtain the project ID, see Obtaining a Project ID.
vpc_endpoint_id | Yes | Specifies the ID of the VPC endpoint.

#### Request

- Parameter description

  None

- Example request
  This request is to delete the VPC endpoint whose ID is 4189d3c2-8882-4871-a3c2-d380272eed83.

      DELETE https://{endpoint}/v1/{project_id}/vpc-endpoints/4189d3c2-8882-4871-a3c2-d380272eed83

#### Response

None

#### Status Code

For details about status codes, see Status Code.

Parent topic: APIs for Managing VPC Endpoints